A comment on a Graph API object. Read more in our Using Comments guide.
A comment on a post.
https://graph.facebook.com/19292868552_10150189643478553_16210808 (A comment on Post)
The comment object has the following fields.
| Name | Description | Permissions | Returns |
id | The Facebook ID of the comment | generic |
|
from | The user that created the comment | generic | object containing the |
message | The comment text | generic |
|
created_time | The timedate the comment was created | generic |
|
like_count | The number of times this comment was liked | generic |
|
user_likes | This field is returned only if the authenticated user likes this comment | generic |
|
parent | If this comment is a reply, this field returns the parent comment, otherwise no value | generic |
|
can_comment | Specifies whether you can reply to this comment | generic |
|
comment_count | The number of replies to this comment, if any | generic |
|
You can delete a comment by issuing a HTTP DELETE request to the COMMENT_ID object with the publish_stream permission.
If the delete is successful, you get the following return.
| Description | Type |
|---|---|
| If the delete succeeded | boolean |
This will return a reference to the parent comment of any comment reply. Read the Using Comments guide to find out more about Creating, Reading and Deleting comments. You can also request fields of the parent comment directly:
GET /{comment_id}?fields=parent.fields(comment_count)
The Comment object has the following connections.
| Name | Description | Permissions | Returns |
| comments | All of the comments that are replies to this. | any valid |
|
| likes | All of the likes on this comment. | any valid |
|
Read the Using Comments guide to find out more about Creating, Reading and Deleting comments.
You can like a comment by issuing an HTTP POST request to COMMENT_ID/likes with the publish_stream permission. No parameters necessary.
If the create is successful, you get the following return.
| Description | Type |
|---|---|
| If the create succeeded. | boolean |
You can unlike a comment by issuing an HTTP DELETE request to COMMENT_ID/likes with the publish_stream permission.
If the delete is successful, you get the following return.
| Description | Type |
|---|---|
| If the unlike succeeded | boolean |